=== debian/changelog ===
elpi (1.14.1-1) unstable; urgency=medium

  * Add a debian/upstream/metadata file.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 08 Feb 2022 22:05:04 +0100

elpi (1.13.8-2) unstable; urgency=medium

  * Add support for camlp5 8.*. (Closes: #1002988)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 21 Jan 2022 10:22:17 +0100

elpi (1.13.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop extra license files.
  * Add patch to fix typos.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 29 Nov 2021 12:47:05 +0100

elpi (1.13.7-2) unstable; urgency=medium

  * Better packaging.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Nov 2021 18:46:46 +0100

elpi (1.13.7-1) unstable; urgency=medium

  * Initial release. (Closes: #997993)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 29 Oct 2021 21:29:00 +0200
