=== debian/control ===
Source: elpi
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: camlp5 (>= 8.00.02),
               debhelper-compat (= 13),
               dh-ocaml,
               libppx-deriving-ocaml-dev,
               libppxlib-ocaml-dev,
               libre-ocaml-dev,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/elpi
Vcs-Git: https://salsa.debian.org/ocaml-team/elpi.git
Homepage: https://github.com/LPCIC/elpi

Package: libelpi-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: embeddable lambda-Prolog interpreter (runtime files)
 ELPI implements a lambda-Prolog interpreter enriched with
 constraint handling rules, to provide an extension language
 to larger applications written in OCaml.
 .
 This package provides the runtime files.

Package: libelpi-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: embeddable lambda-Prolog interpreter (dev files)
 ELPI implements a lambda-Prolog interpreter enriched with
 constraint handling rules, to provide an extension language
 to larger applications written in OCaml.
 .
 This package provides the dev files.

Package: elpi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libelpi-ocaml (= ${binary:Version})
Description: embeddable lambda-Prolog interpreter (tool)
 ELPI implements a lambda-Prolog interpreter enriched with
 constraint handling rules, to provide an extension language
 to larger applications written in OCaml.
 .
 This package provides the command-line tool.
