## elpi 1.16.5

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,24 @@
 help:
-	@echo 'Known targets:'
+	@echo 'Build targets:'
 	@echo
 	@echo '  build            builds elpi'
 	@echo '  install          install elpi'
 	@echo '  clean            remove build artifacts'
+	@echo '  release          release the software (note: git tag -s first)'
+	@echo
+	@echo 'Testing targets:'
 	@echo
 	@echo '  tests            runs the entire test suite'
 	@echo '  tests ONLY=rex   runs only tests matching rex'
 	@echo
 	@echo '  git/treeish      checkout treeish and build elpi.git.treeish'
+	@echo
+	@echo 'Parser maintenance targets:'
+	@echo
+	@echo '  menhir-repl      run menhir in interactive mode'
+	@echo '  menhir-explain-conflicts'
+	@echo '  menhir-complete-errormsgs run when updating the grammar'
+	@echo '  menhir-strip-errormsgs remove comments from error message file'
 	@echo
 
 INSTALL=_build/install/default
@@ -19,21 +29,22 @@
 RUNNERS=\
   dune \
   $(PWD)/$(INSTALL)/bin/elpi \
+  $(PWD)/$(INSTALL)/bin/elpi-trace-elaborator \
   $(addprefix $(PWD)/,$(wildcard _build/git/*/$(INSTALL)/bin/elpi.git.*)) \
   $(shell if type tjsim >/dev/null 2>&1; then type -P tjsim; else echo; fi)
 TIME=--time $(shell if type -P gtime >/dev/null 2>&1; then type -P gtime; else echo /usr/bin/time; fi)
 STACK=1114112
+
 DUNE_OPTS=
-
-CP5:=$(shell ocamlfind query camlp5)
 
 build:
 	dune build $(DUNE_OPTS) @all
-	# hack: link camlp5.gramlib in the plugin
-	ocamlfind opt -shared -linkall -o _build/install/default/lib/elpi/elpi.cmxs \
-		$(CP5)/gramlib.cmxa \
-		_build/install/default/lib/elpi/elpi.cmxa
 
+config:
+	@(if [ -z $$LEGACY_PARSER ]; \
+	then echo '(dirs :standard \ legacy_parser)'; \
+	else echo '(dirs :standard )'; \
+	fi ) > src/dune.config
 
 install:
 	dune install $(DUNE_OPTS)
@@ -44,8 +55,13 @@
 clean:
 	rm -rf _build
 
+release:
+	dune-release -p elpi
+
+# testing
 tests:
 	$(MAKE) build
+	dune runtest
 	ulimit -s $(STACK); OCAMLRUNPARAM=l=$(STACK) \
 		tests/test.exe \
 		--seed $$RANDOM \
@@ -54,6 +70,7 @@
 		--sources=$(PWD)/tests/sources/ \
 		--plot=$(PWD)/tests/plot \
 		$(addprefix --name-match ,$(ONLY)) \
+		$(addprefix --cat-skip ,$(SKIP)) \
 		$(addprefix --runner , $(RUNNERS))
 
 git/%:
@@ -72,4 +89,30 @@
 		ln -s $$PWD/elpi _build/install/default/bin/elpi.git.$*; \
 	  fi
 
+# parser maintenance
+menhir-repl:
+	menhir --interpret src/parser/tokens.mly \
+		src/parser/token_precedence.mly \
+		--base grammar src/parser/grammar.mly 2>/dev/null
+menhir-explain-conflicts:
+	-menhir --explain src/parser/tokens.mly \
+		src/parser/token_precedence.mly \
+		--base grammar src/parser/grammar.mly
+	echo "Plese look at grammar.conflicts"
+menhir-complete-errormsgs:
+	menhir src/parser/tokens.mly \
+		src/parser/token_precedence.mly \
+		--base grammar src/parser/grammar.mly \
+		--list-errors > src/parser/error_messages.auto.messages
+	menhir src/parser/tokens.mly \
+		src/parser/token_precedence.mly \
+		--base grammar src/parser/grammar.mly\
+		--merge-errors src/parser/error_messages.auto.messages \
+		--merge-errors src/parser/error_messages.txt \
+		> src/parser/error_messages.merged
+	mv src/parser/error_messages.merged src/parser/error_messages.txt
+	rm src/parser/error_messages.auto.messages
+menhir-strip-errormsgs:
+	sed -e "/^##/d" -i.bak src/parser/error_messages.txt
+
 .PHONY: tests help install build clean
