=== debian/changelog ===
elpi (1.16.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Jul 2022 12:30:29 +0200

elpi (1.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 04:06:35 +0200

elpi (1.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch (obsolete).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 25 Mar 2022 07:47:24 +0100
