=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: camlp5 (>= 8.00.02),
+Build-Depends: atdts (>= 2.9.1),
+               camlp5 (>= 8.00.02),
                debhelper-compat (= 13),
                dh-ocaml,
+               libatdgen-ocaml-dev (>= 2.9.1),
+               libmenhir-ocaml-dev,
                libppx-deriving-ocaml-dev,
                libppxlib-ocaml-dev,
                libre-ocaml-dev,
+               menhir,
                ocaml-dune
 Vcs-Browser: https://salsa.debian.org/ocaml-team/elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/elpi.git
@@ -42,7 +46,9 @@
 
 Package: elpi
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libelpi-ocaml (= ${binary:Version})
+Depends: libelpi-ocaml (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: embeddable lambda-Prolog interpreter (tool)
  ELPI implements a lambda-Prolog interpreter enriched with
  constraint handling rules, to provide an extension language
