=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	# drop excess LICENSE files
 	find debian/tmp -name "LICENSE*" -delete
+	# drop legacy stuff
+	rm -rf debian/tmp/usr/doc/elpi-option-legacy-parser debian/tmp/usr/lib/ocaml/elpi-option-legacy-parser
 	# we detect what to ship
 	find debian/tmp -regextype posix-awk \
 	  -regex '.*\.(cma|cmxs)$$' \
