=== debian/changelog ===
elpi (1.16.8-1) unstable; urgency=medium

  * Re-enable the archv64 architecture following advice from
  Manuel A. Fernandez Montecelo - thanks! (Closes: #1025129)
  * New upstream release.
  * Drop the patch for yojson 2.0 support (obsolete).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 07 Dec 2022 08:21:57 +0100

elpi (1.16.7-2) unstable; urgency=medium

  * Limit the architectures where the package builds,
    until upstream re-enables them.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Oct 2022 11:11:53 +0200

elpi (1.16.7-1) unstable; urgency=medium

  * New upstream release.
  * Add patch for yojson 2.0 support.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 24 Oct 2022 13:38:28 +0200

elpi (1.16.5-4) unstable; urgency=medium

  * Add patch for longer timeouts, so tests pass on
  more architectures.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Sep 2022 08:52:43 +0200

elpi (1.16.5-3) unstable; urgency=medium

  * Add more deps to help with running tests on several architectures.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Sep 2022 14:41:30 +0200

elpi (1.16.5-2) unstable; urgency=medium

  * Enable tests during the compilation.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Sep 2022 13:52:08 +0200
