=== debian/control ===
--- 
+++ 
@@ -9,19 +9,24 @@
                camlp5 (>= 8.00.02),
                debhelper-compat (= 13),
                dh-ocaml,
+               gnuplot,
+               libansi-terminal-ocaml-dev,
                libatdgen-ocaml-dev (>= 2.9.1),
+               libcmdliner-ocaml-dev,
                libmenhir-ocaml-dev,
                libppx-deriving-ocaml-dev,
                libppxlib-ocaml-dev,
                libre-ocaml-dev,
+               lua5.1,
                menhir,
-               ocaml-dune
+               ocaml-dune,
+               time
 Vcs-Browser: https://salsa.debian.org/ocaml-team/elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/elpi.git
 Homepage: https://github.com/LPCIC/elpi
 
 Package: libelpi-ocaml
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el ppc64 riscv64 sh4
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
@@ -33,7 +38,7 @@
  This package provides the runtime files.
 
 Package: libelpi-ocaml-dev
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el ppc64 riscv64 sh4
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
@@ -45,7 +50,7 @@
  This package provides the dev files.
 
 Package: elpi
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el ppc64 riscv64 sh4
 Depends: libelpi-ocaml (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
