=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 override_dh_auto_build:
 	sed -e 's/%%VERSION_NUM%%/$(DEB_VERSION_UPSTREAM)/g' -i elpi_REPL.ml
 	sed -e 's/%%VERSION_NUM%%/$(DEB_VERSION_UPSTREAM)/g' -i src/compiler.ml
-	dune build @all
+	make build
+
+override_dh_auto_test:
+	make tests
 
 override_dh_auto_install:
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
