## elpi 1.17.0

=== debian/changelog ===
elpi (1.17.0-1build4) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 15:49:46 +0200

elpi (1.17.0-1build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:33:42 +0200

elpi (1.17.0-1build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 05:34:34 +0200

elpi (1.17.0-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 11:44:26 +0200

elpi (1.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 25 Jul 2023 13:21:26 +0200

elpi (1.16.10-3) unstable; urgency=medium

  * Team upload
  * Force STACK to a higher value for tests (Closes: #1040541)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 12:22:35 +0200

elpi (1.16.10-2) unstable; urgency=medium

  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 14:44:19 +0200

elpi (1.16.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 08:54:50 +0200
