=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: atdts (>= 2.9.1),
                camlp5 (>= 8.00.02),
                debhelper-compat (= 13),
                dh-ocaml,
-               gnuplot,
+               gnuplot-nox,
                libansi-terminal-ocaml-dev,
                libatdgen-ocaml-dev (>= 2.9.1),
                libcmdliner-ocaml-dev,
