=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,10 @@
 	make build
 
 override_dh_auto_test:
-	make tests
+	make tests STACK=11141120
 
 override_dh_auto_install:
-	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	# drop excess LICENSE files
 	find debian/tmp -name "LICENSE*" -delete
 	# drop legacy stuff
