## elpi 1.17.4

=== Makefile ===
--- 
+++ 
@@ -59,10 +59,7 @@
 	sed -i "s/@@VERSION@@/$(shell git describe)/" docs/source/conf.py
 	python3 docs/engine/engine.py
 	cd docs && make html
-	cp -r _build/default/_doc/_html/elpi docs/build/html/
-	cp -r _build/default/_doc/_html/elpi-option-legacy-parser docs/build/html/
-	cp -r _build/default/_doc/_html/highlight.pack.js docs/build/html/
-	cp -r _build/default/_doc/_html/odoc.css docs/build/html/
+	cp -r _build/default/_doc/_html/* docs/build/html/
 	touch docs/build/html/.nojekyll
 
 doc-publish: doc-build
