=== debian/changelog ===
elpi (1.17.4-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:22:51 +0100

elpi (1.17.4-3) unstable; urgency=medium

  * Really re-enable all architectures... shame!

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 Dec 2023 19:14:29 +0100

elpi (1.17.4-2) unstable; urgency=medium

  * Re-enable all architectures (just to see).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 Dec 2023 12:39:20 +0100

elpi (1.17.4-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/rules cleaning (Closes: #1044961).

  [ Stéphane Glondu ]
  * Use ocaml_dune DH buildsystem
  * Mark test-only dependencies with <!nocheck>

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 14:45:57 +0100
