=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: atdts (>= 2.9.1),
                camlp5 (>= 8.00.02),
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-ocaml (>= 1.2),
                gnuplot-nox,
-               libansi-terminal-ocaml-dev,
+               libansi-terminal-ocaml-dev <!nocheck>,
                libatdgen-ocaml-dev (>= 2.9.1),
-               libcmdliner-ocaml-dev,
+               libcmdliner-ocaml-dev <!nocheck>,
                libmenhir-ocaml-dev,
                libppx-deriving-ocaml-dev,
                libppxlib-ocaml-dev,
@@ -26,7 +26,7 @@
 Homepage: https://github.com/LPCIC/elpi
 
 Package: libelpi-ocaml
-Architecture: amd64 arm64 i386 ppc64el ppc64 riscv64 sh4
+Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
@@ -38,7 +38,7 @@
  This package provides the runtime files.
 
 Package: libelpi-ocaml-dev
-Architecture: amd64 arm64 i386 ppc64el ppc64 riscv64 sh4
+Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
@@ -50,7 +50,7 @@
  This package provides the dev files.
 
 Package: elpi
-Architecture: amd64 arm64 i386 ppc64el ppc64 riscv64 sh4
+Architecture: any
 Depends: libelpi-ocaml (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
