## elpi 1.18.2

=== Makefile ===
--- 
+++ 
@@ -39,12 +39,6 @@
 
 build:
 	dune build $(DUNE_OPTS) @all
-
-config:
-	@(if [ -z $$LEGACY_PARSER ]; \
-	then echo '(dirs :standard \ legacy_parser)'; \
-	else echo '(dirs :standard )'; \
-	fi ) > src/dune.config
 
 install:
 	dune install $(DUNE_OPTS)
