=== debian/changelog ===
elpi (1.18.2-5build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:47 +0200

elpi (1.18.2-5build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:49 +0200

elpi (1.18.2-5build1) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:45 +0200

elpi (1.18.2-5) unstable; urgency=medium

  * Team upload
  * Simplify architectures: declare binaries "Architecture: any" and
    build-depend on ocaml-native-compilers

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 09:36:00 +0200

elpi (1.18.2-4) unstable; urgency=medium

  * Add autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Jun 2024 11:37:00 +0200

elpi (1.18.2-3) unstable; urgency=medium

  * Add missing depend on yojson-tools (Closes: #1073275).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 16 Jun 2024 18:26:35 +0200

elpi (1.18.2-2) unstable; urgency=medium

  * Team upload
  * Add armhf and s390x to Architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Jun 2024 06:54:50 +0200

elpi (1.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:49:22 +0100

elpi (1.18.1-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/rules cleaning (Closes: #1044961).

  [ Stéphane Glondu ]
  * Use ocaml_dune DH buildsystem
  * Mark test-only dependencies with <!nocheck>

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Julien Puydt ]
  * New upstream release.
  * Add support for loong64 architecture (Closes: #1059090).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:31:26 +0100
