=== debian/control ===
--- 
+++ 
@@ -19,8 +19,10 @@
                libre-ocaml-dev,
                lua5.1,
                menhir,
+               ocaml-native-compilers,
                ocaml-dune,
-               time
+               time,
+               yojson-tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/elpi.git
 Homepage: https://github.com/LPCIC/elpi
