=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: atdts (>= 2.9.1),
                camlp5 (>= 8.00.02),
@@ -13,6 +13,7 @@
                libansi-terminal-ocaml-dev <!nocheck>,
                libatdgen-ocaml-dev (>= 2.9.1),
                libcmdliner-ocaml-dev <!nocheck>,
+               libfileutils-ocaml-dev <!nocheck>,
                libmenhir-ocaml-dev,
                libppx-deriving-ocaml-dev,
                libppxlib-ocaml-dev,
