## elpi 2.0.7

=== debian/changelog ===
elpi (2.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 15:20:02 +0100

elpi (2.0.5-2) unstable; urgency=medium

  * Team upload
  * Fix compilation with atdgen 2.16

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Feb 2025 14:16:30 +0100
