=== debian/tests/control ===
Tests: testsuite
Depends: ocaml-dune, @
Restrictions: allow-stderr
