=== debian/watch ===
version=4
https://github.com/LPCIC/elpi/tags .*/v?([\d\.]+).tar.gz
