## elpi 3.3.1

=== debian/changelog ===
elpi (3.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop now-unneeded patch for compilation with recent atdgen.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 17 Sep 2025 06:48:20 +0200

elpi (2.0.7-2) unstable; urgency=medium

  * Team upload
  * Fix compilation with ppxlib 0.36.0 (Closes: #1114903)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 15:27:16 +0200
