## elpi 3.4.2

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,26 @@
 help:
 	@echo 'Build targets:'
 	@echo
-	@echo '  build            builds elpi'
-	@echo '  install          install elpi'
-	@echo '  clean            remove build artifacts'
-	@echo '  release          release the software (note: git tag -s first)'
+	@echo '  build                  builds elpi'
+	@echo '  install                install elpi'
+	@echo '  clean                  remove build artifacts'
+	@echo '  release                release the software (note: git tag -s first)'
 	@echo
 	@echo 'Testing targets:'
 	@echo
-	@echo '  tests            runs the entire test suite'
-	@echo '  tests ONLY=rex   runs only tests matching rex'
+	@echo '  tests                  runs the entire test suite'
+	@echo '  tests ONLY=rex         runs only tests matching rex'
+	@echo '  tests PROMOTE=true     runs and promote tests if different'
+	@echo '                           (can be combined with ONLY)'
+	@echo '  tests LN_NB=nb         sets max number of lines to print of failing tests'
+	@echo '                           (negave numbers means print all file)'
+	@echo '  tests STOP_ON_FST_ERROR=true stops the test suite after first error'
 	@echo
-	@echo '  git/treeish      checkout treeish and build elpi.git.treeish'
+	@echo '  git/treeish            checkout treeish and build elpi.git.treeish'
 	@echo
 	@echo 'Parser maintenance targets:'
 	@echo
-	@echo '  menhir-repl      run menhir in interactive mode'
+	@echo '  menhir-repl            run menhir in interactive mode'
 	@echo '  menhir-explain-conflicts'
 	@echo '  menhir-complete-errormsgs run when updating the grammar'
 	@echo '  menhir-strip-errormsgs remove comments from error message file'
@@ -25,9 +30,13 @@
 BUILD=_build/default
 SHELL:=/usr/bin/env bash
 TIMEOUT=90.0
+PROMOTE=false
+LN_NB=-1
+STOP_ON_FST_ERROR=false
 PWD=$(shell pwd)
 RUNNERS=\
-  dune \
+  $(wildcard $(PWD)/_build/git/*/$(BUILD)/tests/sources/*.exe.git.*.exe) \
+  $(wildcard $(PWD)/$(BUILD)/tests/sources/*.exe) \
   $(PWD)/$(INSTALL)/bin/elpi \
   $(PWD)/$(INSTALL)/bin/elpi-trace-elaborator \
   $(addprefix $(PWD)/,$(wildcard _build/git/*/$(INSTALL)/bin/elpi.git.*)) \
@@ -78,7 +87,10 @@
 	ulimit -s $(STACK); OCAMLRUNPARAM=l=$(STACK) \
 		tests/test.exe \
 		--seed $$RANDOM \
+		--promote $(PROMOTE) \
+		--ln_nb=$(LN_NB) \
 		--timeout $(TIMEOUT) \
+		--stop-on-first-error=$(STOP_ON_FST_ERROR) \
 		$(TIME) \
 		--sources=$(PWD)/tests/sources/ \
 		--plot=$(PWD)/tests/plot \
@@ -94,8 +106,8 @@
 	cd "_build/git/elpi-$*" && \
 	  if [ -f dune ]; then \
 	    make build DUNE_OPTS="$(DUNE_OPTS) --root .";\
-	    cd _build/install/default/bin/; \
-		ln -sf elpi elpi.git.$*; \
+	    (cd _build/install/default/bin/; ln -sf elpi elpi.git.$*); \
+	    (cd _build/default/tests/sources; for x in *.exe; do ln -sf $$x $$x.git.$*.exe; done) \
 	  else \
 	    make; \
 		mkdir -p _build/install/default/bin/; \
