=== tests/sources/ld-3C/Makefile ===
H = @

ELPI = elpi

all:

test:
	$(H)$(ELPI) -no-tc -test ld3c_engine.elpi

test-tc:
	$(H)$(ELPI) -test ld3c_engine.elpi
