=== debian/changelog ===
elpi (3.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 00:17:18 +0100
