=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: atdts (>= 2.9.1),
                camlp5 (>= 8.00.02),
                debhelper-compat (= 13),
                dh-ocaml (>= 1.2),
+               git,
                gnuplot-nox,
                libansi-terminal-ocaml-dev <!nocheck>,
                libatdgen-ocaml-dev (>= 2.9.1),
@@ -16,7 +17,8 @@
                libfileutils-ocaml-dev <!nocheck>,
                libmenhir-ocaml-dev,
                libppx-deriving-ocaml-dev,
-               libppxlib-ocaml-dev,
+               libppxlib-ocaml-dev (>= 0.36.0),
+               libppx-optcomp-ocaml-dev,
                libre-ocaml-dev,
                lua5.1,
                menhir,
