=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,29 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/ocaml/ocamlvars.mk
 
+export DEB_BUILD_OPTIONS += noautodbgsym
+
 %:
 	dh $@ --with ocaml --buildsystem ocaml_dune
 
 execute_before_dh_auto_build:
-	cp elpi_REPL.ml elpi_REPL.ml.orig
-	sed -e 's/%%VERSION_NUM%%/$(DEB_VERSION_UPSTREAM)/g' -i elpi_REPL.ml
-	cp src/compiler/compiler.ml src/compiler/compiler.ml.orig
-	sed -e 's/%%VERSION_NUM%%/$(DEB_VERSION_UPSTREAM)/g' -i src/compiler/compiler.ml
 	cp src/trace_atd.ts src/trace_atd.ts.orig
+	if test -f .git; then \
+	  @echo "Found .git, ok"; \
+        else \
+          touch .false_git; \
+          git init --initial-branch=main; \
+	  git config user.email "foo@bar.baz"; \
+	  git config user.name "Foo Bar"; \
+          git add dune; \
+          git commit -m foo; \
+          git tag -a v$(DEB_VERSION_UPSTREAM) -m foo; \
+        fi
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make tests STACK=11141120
+endif
 
 execute_after_dh_auto_install:
 	# drop excess LICENSE files
@@ -33,12 +44,9 @@
 
 execute_after_dh_auto_clean:
 	rm -rf _log/ tests/test.exe data.csv*
-	if test -f elpi_REPL.ml.orig; then \
-	  mv elpi_REPL.ml.orig elpi_REPL.ml; \
-	fi
-	if test -f src/compiler/compiler.ml.orig; then \
-	  mv src/compiler/compiler.ml.orig src/compiler/compiler.ml; \
-	fi
 	if test -f src/trace_atd.ts.orig; then \
 	  mv src/trace_atd.ts.orig src/trace_atd.ts; \
 	fi
+	if test -f .false_git; then \
+	  rm -rf .false_git .git; \
+	fi
