=== debian/changelog ===
elpi (3.4.3-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:08:22 +0100
